package tainavi;

/**
 * <P>録画予約の開始・終了日時と重複度を管理します
 */
public class ResTimeItem {
	String recorder;
	String start;
	String end;
	int count;

	public ResTimeItem(String r, String s, String e, int c){
		this.recorder = r;
		this.start = s;
		this.end = e;
		this.count = c;
	}

	public ResTimeItem(String r, String s, String e){
		this.recorder = r;
		this.start = s;
		this.end = e;
		this.count = 1;
	}

	public void setStart(String s){ start = s; }
	public void setEnd(String e){ end = e; }
	public void addCount(){ count++; }

	public String getRecorder(){ return recorder; }
	public String getStart(){ return start; }
	public String getEnd(){ return end; }
	public int getCount(){ return count; }
}
